# set to include Japanese and Korean tables
%define jk_tables 0

# set to include Indic tables
%define indic_tables 1

Name:		scim-tables
# version-release must be kept less than the RHEL5 package
Version:	0.5.6
Release:	1%{?dist}
Summary:	SCIM Generic Table IMEngine

License:	GPL
Group:		System Environment/Libraries
URL:		http://sourceforge.net/projects/scim
Source0:	http://download.sourceforge.net/scim/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)

BuildRequires:	scim-devel, gtk2-devel
BuildRequires:	gettext-devel automake libtool
%if !%{jk_tables}
Obsoletes:	scim-tables-japanese < 0.5.6, scim-tables-korean < 0.5.6
%endif
Requires:	scim
Patch1:		tables-skip-ja-ko.patch

%description
This package contains the Generic Table IMEngine for SCIM.

%package amharic
Summary:	SCIM tables for Amharic
Group:		System Environment/Libraries
Requires:	scim-tables = %{version}

%description amharic
This package contains scim-tables files for Amharic input.

%package arabic
Summary:	SCIM tables for Arabic
Group:		System Environment/Libraries
Requires:	scim-tables = %{version}

%description arabic
This package contains scim-tables files for Chinese input.

%if %{indic_tables}
%package bengali
Summary:	SCIM tables for Bengali
Group:		System Environment/Libraries
Requires:	scim-tables = %{version}

%description bengali
This package contains scim-tables files for Bengali input.
%endif

%package chinese
Summary:	SCIM tables for Chinese
Group:		System Environment/Libraries
Requires:	scim-tables = %{version}
Obsoletes:	scim-tables-zh

%description chinese
This package contains scim-tables files for Chinese input.

%if %{indic_tables}
%package gujarati
Summary:	SCIM tables for Gujarati
Group:		System Environment/Libraries
Requires:	scim-tables = %{version}

%description gujarati
This package contains scim-tables files for Gujarati input.

%package hindi
Summary:	SCIM tables for Hindi
Group:		System Environment/Libraries
Requires:	scim-tables = %{version}

%description hindi
This package contains scim-tables files for Hindi input.
%endif

%if %{jk_tables}
%package japanese
Summary:	SCIM tables for Japanese
Group:		System Environment/Libraries
Requires:	scim-tables = %{version}
Obsoletes:	scim-tables-ja

%description japanese
This package contains scim-tables files for Japanese.
%endif

%if %{indic_tables}
%package kannada
Summary:	SCIM tables for Kannada
Group:		System Environment/Libraries
Requires:	scim-tables = %{version}

%description kannada
This package contains scim-tables files for Kannada input.
%endif

%if %{jk_tables}
%package korean
Summary:	SCIM tables for Korean
Group:		System Environment/Libraries
Requires:	scim-tables = %{version}
Obsoletes:	scim-tables-ko

%description korean
This package contains scim-tables files for Korean.
%endif

%if %{indic_tables}
%package malayalam
Summary:	SCIM tables for Malayalam scripts
Group:		System Environment/Libraries
Requires:	scim-tables = %{version}

%description malayalam
This package contains scim-tables files for Malayalam languages.
%endif

%package nepali
Summary:	SCIM tables for 
Group:		System Environment/Libraries
Requires:	scim-tables = %{version}

%description nepali
This package contains scim-tables files for Nepali input.

%if %{indic_tables}
%package punjabi
Summary:	SCIM tables for Punjabi
Group:		System Environment/Libraries
Requires:	scim-tables = %{version}

%description punjabi
This package contains scim-tables files for Punjabi input.
%endif

%package russian
Summary:	SCIM tables for Russian
Group:		System Environment/Libraries
Requires:	scim-tables = %{version}

%description russian
This package contains scim-tables files for Russian input.

%if %{indic_tables}
%package tamil
Summary:	SCIM tables for Tamil
Group:		System Environment/Libraries
Requires:	scim-tables = %{version}

%description tamil
This package contains scim-tables files for Tamil input.
%endif

%package thai
Summary:	SCIM tables for Thai
Group:		System Environment/Libraries
Requires:	scim-tables = %{version}

%description thai
This package contains scim-tables files for Thai input.

%if %{indic_tables}
%package telugu
Summary:	SCIM tables for Telugu
Group:		System Environment/Libraries
Requires:	scim-tables = %{version}

%description telugu
This package contains scim-tables files for Telugu input.
%endif

%package vietnamese
Summary:	SCIM tables for Vietnamese
Group:		System Environment/Libraries
Requires:	scim-tables = %{version}

%description vietnamese
This package contains scim-tables files for Vietnamese input.

%package additional
Summary:	Other miscellaneous SCIM tables
Group:		System Environment/Libraries
Requires:	scim-tables = %{version}

%description additional
This package contains some miscellaneous scim-tables.


%prep
%setup -q

%if !%{jk_tables}
%patch1 -p1 -b -1.JK
# patch1 touches a Makefile.am file
autoreconf
%endif


%build
%configure --disable-static
make  %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

# kill *.a and *.la files
rm -f ${RPM_BUILD_ROOT}/%{_libdir}/scim-1.0/*/*/*.la

%if !%{indic_tables}
rm ${RPM_BUILD_ROOT}/%{_datadir}/scim/{icons,tables}/{Bengali,Gujarati,Hindi,Kannada,Malayalam,Punjabi,Tamil,Telugu}-*
%endif

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-, root, root, -)
%{_bindir}/scim-make-table
%{_libdir}/scim-1.0/*/IMEngine/table.so
%{_libdir}/scim-1.0/*/SetupUI/table-imengine-setup.so
%{_datadir}/scim/icons/table.png
%{_mandir}/man1/scim-make-table.1*


%files amharic
%defattr(-, root, root, -)
%dir %{_datadir}/scim/tables
%{_datadir}/scim/tables/Amharic.bin
%{_datadir}/scim/icons/Amharic.png


%files arabic
%defattr(-, root, root, -)
%dir %{_datadir}/scim/tables
%{_datadir}/scim/tables/Arabic.bin
%{_datadir}/scim/icons/Arabic.png


%if %{indic_tables}
%files bengali
%defattr(-, root, root, -)
%dir %{_datadir}/scim/tables
%{_datadir}/scim/tables/Bengali-inscript.bin
%{_datadir}/scim/tables/Bengali-probhat.bin
%{_datadir}/scim/icons/Bengali-inscript.png
%{_datadir}/scim/icons/Bengali-probhat.png
%endif

%files chinese
%defattr(-, root, root, -)
%doc tables/zh/README-*.txt
%dir %{_datadir}/scim/tables
%{_datadir}/scim/tables/Array30.bin
%{_datadir}/scim/tables/CNS11643.bin
%{_datadir}/scim/tables/CangJie*.bin
%{_datadir}/scim/tables/Cantonese.bin
%{_datadir}/scim/tables/CantonHK.bin
%{_datadir}/scim/tables/Dayi3.bin
%{_datadir}/scim/tables/EZ*.bin
%{_datadir}/scim/tables/Erbi.bin
%{_datadir}/scim/tables/Erbi-QS.bin
%{_datadir}/scim/tables/Jyutping.bin
%{_datadir}/scim/tables/Quick.bin
%{_datadir}/scim/tables/Simplex.bin
%{_datadir}/scim/tables/Stroke5.bin
%{_datadir}/scim/tables/Wu.bin
%{_datadir}/scim/tables/Wubi.bin
%{_datadir}/scim/tables/Ziranma.bin
%{_datadir}/scim/tables/ZhuYin*.bin
%{_datadir}/scim/icons/Array30.png
%{_datadir}/scim/icons/CNS11643.png
%{_datadir}/scim/icons/CangJie*.png
%{_datadir}/scim/icons/Cantonese.png
%{_datadir}/scim/icons/CantonHK.png
%{_datadir}/scim/icons/Dayi.png
%{_datadir}/scim/icons/EZ*.png
%{_datadir}/scim/icons/Erbi.png
%{_datadir}/scim/icons/Erbi-QS.png
%{_datadir}/scim/icons/Jyutping.png
%{_datadir}/scim/icons/Quick.png
%{_datadir}/scim/icons/Simplex.png
%{_datadir}/scim/icons/Stroke5.png
%{_datadir}/scim/icons/Wu.png
%{_datadir}/scim/icons/Wubi.png
%{_datadir}/scim/icons/Ziranma.png
%{_datadir}/scim/icons/ZhuYin.png


%if %{indic_tables}
%files gujarati
%defattr(-, root, root, -)
%dir %{_datadir}/scim/tables
%{_datadir}/scim/tables/Gujarati-inscript.bin
%{_datadir}/scim/tables/Gujarati-phonetic.bin
%{_datadir}/scim/icons/Gujarati-inscript.png
%{_datadir}/scim/icons/Gujarati-phonetic.png

%files hindi
%defattr(-, root, root, -)
%dir %{_datadir}/scim/tables
%{_datadir}/scim/tables/Hindi-inscript.bin
%{_datadir}/scim/tables/Hindi-phonetic.bin
%{_datadir}/scim/icons/Hindi-inscript.png
%{_datadir}/scim/icons/Hindi-phonetic.png
%endif

%if %{jk_tables}
%files japanese
%defattr(-, root, root, -)
%doc tables/ja/kanjidic*
%dir %{_datadir}/scim/tables
%{_datadir}/scim/tables/HIRAGANA.bin
%{_datadir}/scim/tables/KATAKANA.bin
%{_datadir}/scim/tables/Nippon.bin
%{_datadir}/scim/icons/HIRAGANA.png
%{_datadir}/scim/icons/KATAKANA.png
%{_datadir}/scim/icons/Nippon.png
%endif


%if %{indic_tables}
%files kannada
%defattr(-, root, root, -)
%dir %{_datadir}/scim/tables
%{_datadir}/scim/tables/Kannada-inscript.bin
%{_datadir}/scim/tables/Kannada-kgp.bin
%{_datadir}/scim/icons/Kannada-inscript.png
%{_datadir}/scim/icons/Kannada-kgp.png
%endif

%if %{jk_tables}
%files korean
%defattr(-, root, root, -)
%dir %{_datadir}/scim/tables
%{_datadir}/scim/tables/Hangul.bin
%{_datadir}/scim/tables/HangulRomaja.bin
%{_datadir}/scim/tables/Hanja.bin
%{_datadir}/scim/icons/Hangul.png
%{_datadir}/scim/icons/Hanja.png
%endif


%if %{indic_tables}
%files malayalam
%defattr(-, root, root, -)
%dir %{_datadir}/scim/tables
%{_datadir}/scim/tables/Malayalam-inscript.bin
%{_datadir}/scim/icons/Malayalam-inscript.png
%endif

%files nepali
%defattr(-, root, root, -)
%dir %{_datadir}/scim/tables
%{_datadir}/scim/tables/Nepali_*.bin
%{_datadir}/scim/icons/Nepali.png


%if %{indic_tables}
%files punjabi
%defattr(-, root, root, -)
%dir %{_datadir}/scim/tables
%{_datadir}/scim/tables/Punjabi-inscript.bin
%{_datadir}/scim/tables/Punjabi-jhelum.bin
%{_datadir}/scim/tables/Punjabi-phonetic.bin
%{_datadir}/scim/icons/Punjabi-inscript.png
%{_datadir}/scim/icons/Punjabi-jhelum.png
%{_datadir}/scim/icons/Punjabi-phonetic.png
%endif


%files russian
%defattr(-, root, root, -)
%dir %{_datadir}/scim/tables
%{_datadir}/scim/tables/Yawerty.bin
%{_datadir}/scim/icons/Yawerty.png


%if %{indic_tables}
%files tamil
%defattr(-, root, root, -)
%dir %{_datadir}/scim/tables
%{_datadir}/scim/tables/Tamil-inscript.bin
%{_datadir}/scim/tables/Tamil-phonetic.bin
%{_datadir}/scim/icons/Tamil-inscript.png
%{_datadir}/scim/icons/Tamil-phonetic.png
%endif


%files thai
%defattr(-, root, root, -)
%dir %{_datadir}/scim/tables
%{_datadir}/scim/tables/Thai.bin
%{_datadir}/scim/icons/Thai.png


%if %{indic_tables}
%files telugu
%defattr(-, root, root, -)
%dir %{_datadir}/scim/tables
%{_datadir}/scim/tables/Telugu-inscript.bin
%{_datadir}/scim/icons/Telugu-inscript.png
%endif


%files vietnamese
%defattr(-, root, root, -)
%dir %{_datadir}/scim/tables
%{_datadir}/scim/tables/Viqr.bin
%{_datadir}/scim/icons/Viqr.png


%files additional
%defattr(-, root, root, -)
%dir %{_datadir}/scim/tables
%{_datadir}/scim/tables/IPA-X-SAMPA.bin
%{_datadir}/scim/tables/LaTeX.bin
%{_datadir}/scim/icons/IPA-X-SAMPA.png
%{_datadir}/scim/icons/LaTeX.png


%changelog
* Fri Apr 27 2007 Jens Petersen <petersen@redhat.com> - 0.5.6-1.el4
- initial build for EPEL

* Wed Aug  2 2006 Jens Petersen <petersen@redhat.com>
- buildrequire automake and libtool (jkeating)

* Thu May  4 2006 Jens Petersen <petersen@redhat.com> - 0.5.6-1.fc3
- obsolete old scim-tables-{japanese,korean} subpackages (Michael Schwendt)

* Thu Mar  2 2006 Jens Petersen <petersen@redhat.com>
- add %%indic_tables build switch

* Thu Feb  9 2006 Jens Petersen <petersen@redhat.com>
- update filelist since moduledir is now api-versioned

* Fri Jan 13 2006 Jens Petersen <petersen@redhat.com>
- update to 0.5.6 release
  - update tables-skip-ja-ko.patch
  - updates filelist for chinese tables

* Mon Dec 26 2005 Jens Petersen <petersen@redhat.com> - 0.5.5-1.fc3
- update to 0.5.5
  - update filelists
- remove the Japanese and Korean tables and their subpackages with
  tables-skip-ja-ko.patch and %%{jk_tables}

* Wed Dec 1 2005 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.5.4-1.fc3
- update to 0.5.4

* Tue Oct 18 2005 Jens Petersen <petersen@redhat.com> - 0.5.3-6.fc3
- update to cvs head to fix various table issues with
  scim-tables-cvs-20051018.patch

* Fri Oct  7 2005 Jens Petersen <petersen@redhat.com> - 0.5.3-5.fc3
- require scim

* Thu Sep 22 2005 Jens Petersen <petersen@redhat.com> - 0.5.3-4.fc3
- add a Thai table derived from m17n-db with a Thai icon
- separate the Indic tables and the additional language tables into separate
  language subpackages

* Fri Sep  9 2005 Jens Petersen <petersen@redhat.com>
- add 14 new Indic tables for Bengali, Gujarati, Hindi, Kannada, Malayalam,
  Punjabi, Tamil and Telugu in updated scim-tables-indic.patch
  - inscript tables are derived from iiimf unitle tables
  - new icons for all Indic tables by Amanpreet Singh Brar
  - Indic tables are now in new scim-tables-indic subpackage
- make {chinese,japanese,korean} subpackages obsolete {zh,ja,ko}
- make subpackages own %{_datadir}/scim/tables

* Wed Aug 17 2005 Jens Petersen <petersen@redhat.com>
- 0.5.3 release
  - replace scim-tables-0.5.1-add-hindi.patch with scim-tables-indic.patch
  - update files lists for new tables (ipa, latex, nepali, wu)
- rename {zh,ja,ko} subpackages to {chinese,japanese,korean}

* Tue Aug  2 2005 Ryo Dairiki <ryo-dairiki@mbm.nifty.com> - 0.5.1-3.2
- rebuild

* Wed Jul 27 2005 Ryo Dairiki <ryo-dairiki@mbm.nifty.com> - 0.5.1-3
- Rebuild for scim-1.4.0

* Sat Jun 25 2005 Colin Charles <colin@fedoraproject.org> 0.5.1-2
- Fix download URL

* Fri Jun 3 2005 Ryo Dairiki <ryo-dairiki@mbm.nifty.com> 0.5.1-1
- Initial packaging for Fedora Extras.

* Wed Jan 5 2005 James Su <suzhe@tsinghua.org.cn>
- Added Generic Table IMEngine module into this package.

* Sun Jun 20 2004 James Su <suzhe@tsinghua.org.cn>
- Added Amharic table.

* Mon Apr 05 2004 James Su <suzhe@tsinghua.org.cn>
- Updated Nippon table.
- Added Yawerty table for Russian.

* Fri Nov 28 2003 James Su <suzhe@turbolinux.com.cn>
- upgraded CangJie.txt.in, added README-CangJie.txt

* Tue Sep 02 2003 James Su <suzhe@turbolinux.com.cn>
- updated table format according to SCIM 0.8.0
- added icon files.

* Wed Feb 26 2003 James Su <suzhe@turbolinux.com.cn>
- updated table format according to SCIM 0.3.1.

* Mon Nov 04 2002 James Su <suzhe@turbolinux.com.cn>
- Initial release.
